function [ isManmade ] = manmade_object_detector( X )
%MANMADE_OBJECT_DETECTOR Summary of this function goes here
%   Detailed explanation goes here
%   X(:,1) = linearity1
%   X(:,2) = GradMag10
%   X(:,3) = weightGradOrient9
%   X(:,4) = weightGradOrient1

isManmade = false(size(X,1),1);

if(size(X,2) ~= 4)
    return;
end

for i=1:size(X,1)
    manmadeScore = 0.05;
    
    if(X(i,1) > 0.273715 || isnan(X(i,1)))
        manmadeScore = manmadeScore + 0.74;
    else
        manmadeScore = manmadeScore - 0.74;
    end
    
    if(X(i,2) <= 0.0105935 || isnan(X(i,2)))
        manmadeScore = manmadeScore - 0.31;
    else
        manmadeScore = manmadeScore + 0.31;
    end
    
    if(X(i,1) > 0.0868815 || isnan(X(i,1)))
        manmadeScore = manmadeScore + 0.39;
    else
        manmadeScore = manmadeScore - 0.39;
    end
    
    if(X(i,3) <= 2.882 || isnan(X(i,3)))
        manmadeScore = manmadeScore - 0.1;
    else
        manmadeScore = manmadeScore + 0.1;
    end
    
    if(X(i,3) > 2.882 || isnan(X(i,3)))
        manmadeScore = manmadeScore - 0.09;
    else
        manmadeScore = manmadeScore + 0.09;
    end
    
    if(X(i,4) > 0.440495 || isnan(X(i,4)))
        manmadeScore = manmadeScore - 0.22;
    else
        manmadeScore = manmadeScore + 0.22;
    end
    
    if(X(i,3) > 2.882 || isnan(X(i,3)))
        manmadeScore = manmadeScore - 0.18;
    else
        manmadeScore = manmadeScore + 0.18;
    end
    
    
    isManmade(i) = (manmadeScore > 0);
end




end

