function recursivelyCrawlAllImageFiles(path,currentFolder,outfilePath)
    warning('off','all');
    fileList = dir(path);
    
    outfile = fopen(outfilePath,'at');
    
%     startFolder = 'truck crop';
%     startFolderFound = true;
%     if(~strcmp(currentFolder,'Objects'))
%         startFolderFound = true;
%     end
    parfor i=1:length(fileList)
%         if(~startFolderFound)
%             if(strcmp(fileList(i).name,startFolder))
%                 startFolderFound = true;
%             else
%                 continue;
%             end
%         end
            
        if(fileList(i).isdir)
            if(strcmp(fileList(i).name,'.') || strcmp(fileList(i).name,'..'))
                continue;
            end
            recursivelyCrawlAllImageFiles(strcat(path,'/',fileList(i).name),fileList(i).name,outfilePath);
        else
            objectName = currentFolder;
            imagePath = strcat(path,'/',fileList(i).name);
            disp(imagePath);
            
            %% Subsampling of objects
%             if(rand < 0.1)
%                 newPath = strrep(path,'ObjectsSample/','ObjectsMini/');
%                 if(exist(newPath,'dir') == 0)
%                     mkdir(newPath);
%                 end
%                 copyfile(imagePath,newPath);
%             end
            
            dataStr = image_features(imagePath, objectName);     
            if(strcmp(dataStr,''))
               continue; 
            end
            
%             featureMatrix = manmade_feature_extraction(imagePath);
%             isManmade = manmade_object_detector(featureMatrix);
% %             if(isManmade)
% %                 copyfile(imagePath,'/mnt/media1/Billeder/speciale/SUN2012/isManmade/');
% %             else
% %                 copyfile(imagePath,'/mnt/media1/Billeder/speciale/SUN2012/isNotManmade/');
% %             end
%             dataStr = strcat(objectName,';',num2str(isManmade));

            fprintf(outfile,'%s\n',dataStr);
            
        end
    end
    fclose(outfile);
end

