close all;
clear all;
run('/home/jan/dtu/speciale/matlab/vlfeat-0.9.18/toolbox/vl_setup');

aircraft1 = single(rgb2gray(imread('/home/jan/Billeder/speciale/SUN2012/Objects/aircraft/sun_aegeodrxrrkrkpvr3.jpg')));
aircraft2 = single(rgb2gray(imread('/home/jan/Billeder/speciale/SUN2012/Objects/aircraft/sun_aalkbyzgjrhyesci12.jpg')));
aircraft2 = aircraft2(2:4:end,2:4:end);

[f1,d1] = vl_sift(aircraft1);
[f2,d2] = vl_sift(aircraft2);
figure();
image(aircraft1*0.25), colormap gray, axis off;
vl_plotframe(f1);
[matches, scores] = vl_ubcmatch(d1,d2,1.2);
%waitforbuttonpress;

fig1 = figure();
image(aircraft1*0.1), colormap gray, axis off;
h1 = vl_plotframe(f1);
fig2 = figure();
image(aircraft2*0.1), colormap gray, axis off;
h2 = vl_plotframe(f2);

for i=1:29
    figure(fig1);
    image(aircraft1*0.25), colormap gray, axis off;
    vl_plotsiftdescriptor(d1(:,matches(1,i:(i+3))),f1(:,matches(1,i:(i+3))));
    figure(fig2);
    image(aircraft2*0.25), colormap gray, axis off;
    vl_plotsiftdescriptor(d2(:,matches(2,i:(i+3))),f2(:,matches(2,i:(i+3))));
    waitforbuttonpress;
end