function [ grad ] = framegradient( frame )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

width = size(frame,2);
height = size(frame,1);
grad = zeros(height-2,width-2);

for x=2:width-1
    for y=2:height-1
        neighbors = [ frame(y-1,x), frame(y+1,x), frame(y,x-1), frame(y,x+1) ];
        diff = abs(frame(y,x) - neighbors);
        grad(y-1,x-1) = sum(diff);
    end
end
end

