close all;
if(~exist('small_mov','var'))
    clear all;
    run('../copy_movie_to_smaller_array.m');
end

grayScale = (small_mov(1).cdata);
image(grayScale);
colormap gray;
waitforbuttonpress;
grad = framegradient(grayScale);
image(grad);
waitforbuttonpress;

xcenter = [ 0, 1, 2, 4, 8, 16, 32, 64, 128, 256 ];
for i=1:nFrames
    if(mod(i,5) ~= 0)
        continue;
    end
    disp(strcat('Frame',num2str(i)));
    grayScale = (small_mov(i).cdata);
    grad = framegradient(grayScale);
    nelements = hist(grad(:),xcenter);
    semilogx(xcenter,nelements);
    waitforbuttonpress;
end